package registrojdbc;

import java.awt.*;
import java.awt.event.*;

public class InterfaceUsuario extends Frame implements WindowListener, ActionListener {
  private Pantalla pantalla;
  private Manejador manejador;
  
  public InterfaceUsuario(Manejador m, Pantalla p) {
    setSize(800,600);
    setBackground(Color.lightGray);
    addWindowListener(this);
    manejador = m;
    pantalla = p;
  }
  
  public void desplegarPantalla() {
    pantalla.desplegarPantalla();
    setVisible(true);
  }
  public void leerElementos(Datos datos){
      pantalla.leerElementos(datos);
  }
  public void escribirElementos(Datos datos){
      pantalla.escribirElementos(datos);
  }
  // ActionListener
  public void actionPerformed(ActionEvent event) {
    manejador.manejarEvento(event.getActionCommand());
  }
  // WindowListener
  public void windowClosed(WindowEvent event) {}
  public void windowDeiconified(WindowEvent event) {}
  public void windowIconified(WindowEvent event) {}
  public void windowActivated(WindowEvent event) {}
  public void windowDeactivated(WindowEvent event) {}
  public void windowOpened(WindowEvent event) {}
  public void windowClosing(WindowEvent event) {
    System.exit(0);
  }
}

